Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/21/2022 in all areas

  1. You're almost right. Your error results in the sense that you are using the quoted expression: '(0 v 0). When you quote an expression, everything is interpreted as its face-value, meaning the variable v is not evaluated to what the value is supposed to be and is read as a symbol. That's why the error you're encountering indicates that the symbol V has been passed when a number is to be expected. To fix it, you will need to open a list. So instead of '(0 v 0), you should write (list 0 v 0) instead, so that v is evaluated to your user input.
    3 points
  2. If some of the attributes would need to be in different locations as opposed to others, what you would need to do is use a dynamic point parameter and then link the attribute in question to the parameter. After that, you can get the dynamic properties using (vlax-invoke obj 'getdynamicblockproperties) and change the value from there. Edit: After further inspection, it's actually possible without. Further to your code above: (foreach x (vlax-invoke obj 'GetAttributes) (setq pt (vlax-get x 'InsertionPoint)) (vla-put-insertionpoint x (vlax-3d-point _your_x_value_ (cadr pt) (caddr pt))) )
    1 point
  3. Oh sorry, my apologies... I forgot that wasn't how it works, whoops This was how it's supposed to be... (defun foo (your_vla_block / rtn) (vlax-for x (vla-item (vla-get-blocks (vla-get-document your_vla_block)) (vla-get-effectivename your_vla_block)) (setq rtn (cons x rtn)) ) (reverse rtn) )
    1 point
  4. (defun foo (your_vla_block / rtn) (vlax-for x your_vla_block (setq rtn (cons x rtn)) ) (reverse rtn) )
    1 point
  5. hello, I've the same problem: in autocad Architecture 2011, in "plot style table", there is no "monochrome.ctb". Just mentioned "none" and "new"; Does anyone knows how I can put in monochrome into the plot style table? thanks a lot
    1 point
×
×
  • Create New...